<?php

use Automattic\WooCommerce\Blocks\Payments\Integrations\AbstractPaymentMethodType;

final class WC_Fpayment_Blocks extends AbstractPaymentMethodType {
    private $gateway;
    protected $name = 'fpayment';
    public function initialize() {
        $this->settings = get_option( 'woocommerce_fpayment_settings', [] );
        $gateways       = WC()->payment_gateways()->payment_gateways();
        $this->gateway  = $gateways[ $this->name ];
    }
    public function is_active() {
        return $this->gateway->is_available();
    }

    public function get_payment_method_script_handles() {
        wp_register_script(
            'wc-fpayment-blocks-integration',
            plugin_dir_url(__FILE__) . 'block/checkout.js',
            [
                'wc-blocks-registry',
                'wc-settings',
                'wp-element',
                'wp-html-entities',
                'wp-i18n',
            ],
            null,
            true
        );
        if( function_exists( 'wp_set_script_translations' ) ) {
            wp_set_script_translations( 'wc-fpayment-blocks-integration', 'fpayment', plugin_dir_path(dirname(__FILE__)). 'languages/' );
        }
        return [ 'wc-fpayment-blocks-integration' ];
    }
    public function get_payment_method_data() {
        return [
            'title' => $this->gateway->title,
            'description' => $this->gateway->description,
        ];
    }
}